Module exceptions :: Class Exception

[frames | no frames]

## Type Exception

       object --+
                |
    BaseException --+
                    |
                   Exception

Known Subclasses:
  `DispatcherError`, `FloatCanvasError`, `StandardError`, `VersionError`

Common base class for all non-exit exceptions.

Method Summary
| ``__init__`(...)` x.__init__(...) initializes x; see x.__class__.__doc__ for signature
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...

Class Variable Summary

Method Details

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

  Overrides:
    `exceptions.BaseException.__init__`

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:13 2007 | http://epydoc.sf.net